package com.yonge.cooleshow.biz.dal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * Description 布置作业
 *
 * @author liujunchi
 * @date 2022-04-14
 */
@ApiModel("布置作业信息")
public class CourseHomeworkSaveDto {

    @ApiModelProperty(value = "课后作业id",hidden = true)
    private Long courseHomeworkId;

    @ApiModelProperty(value = "课程编号",required = true)
    @NotNull(message = "课程编号不能为空 ")
    private Long courseScheduleId;

    @ApiModelProperty(value = "作业标题",hidden = true)
    // @NotBlank(message = "作业标题不能为空 ")
    private String title;

    @ApiModelProperty(value = "作业内容",required = true)
    @NotBlank(message = "作业内容不能为空 ")
    private String content;

    @ApiModelProperty("作业附件地址（多个用逗号分隔）")
    private String attachments;

    @ApiModelProperty(value = "老师id",hidden = true)
    private Long teacherId;

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getAttachments() {
        return attachments;
    }

    public void setAttachments(String attachments) {
        this.attachments = attachments;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Long getCourseHomeworkId() {
        return courseHomeworkId;
    }

    public void setCourseHomeworkId(Long courseHomeworkId) {
        this.courseHomeworkId = courseHomeworkId;
    }
}
